Bug 1946537 - libgetdns_ex_event.so does not contain getdns_extension_set_libevent_base symbol
Summary: libgetdns_ex_event.so does not contain getdns_extension_set_libevent_base symbol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: getdns
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-06 11:22 UTC by Michal Strnad
Modified: 2021-06-07 03:04 UTC (History)
6 users (show)

Fixed In Version: getdns-1.7.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-07 03:04:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Strnad 2021-04-06 11:22:22 UTC
Description of problem:
Library libgetdns_ex_event.so does not contain getdns_extension_set_libevent_base symbol, so building of my application finishes with linker error: undefined reference to `getdns_extension_set_libevent_base'.

Version-Release number of selected component (if applicable):
1.6.0

How reproducible:
nm -D /usr/lib64/libgetdns_ex_event.so

Actual results:
                 w _ITM_deregisterTMCloneTable
                 w _ITM_registerTMCloneTable
                 w __cxa_finalize
                 w __gmon_start__

Expected results:
                 w _ITM_deregisterTMCloneTable
                 w _ITM_registerTMCloneTable
                 U __assert_fail
                 w __cxa_finalize
                 w __gmon_start__
                 U __stack_chk_fail
                 U event_add
                 U event_base_dispatch
                 U event_base_loop
                 U event_del
                 U event_free
                 U event_new
                 U getdns_context_set_eventloop
00000000000015a0 T getdns_extension_set_libevent_base
                 U plain_mem_funcs_user_arg
                 U priv_getdns_context_mf

Additional info:
Fedora 32 has useful package, but the library is /usr/lib64/libgetdns_ext_event.so.

Comment 2 Fedora Admin user for bugzilla script actions 2021-04-26 12:14:12 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Paul Wouters 2021-06-07 02:53:40 UTC
seems fixed in 1.7.0:

paul.wouters@aiven:~/fedora/getdns (rawhide *+)$ nm -D /usr/lib64/libgetdns_ext_event.so
                 w __cxa_finalize@@GLIBC_2.2.5
                 U event_add
                 U event_base_dispatch
                 U event_base_loop
                 U event_del
                 U event_free
                 U event_new
                 U getdns_context_set_eventloop
0000000000001430 T getdns_extension_set_libevent_base
                 w __gmon_start__
                 w _ITM_deregisterTMCloneTable
                 w _ITM_registerTMCloneTable
                 U plain_mem_funcs_user_arg
                 U priv_getdns_context_mf
                 U __stack_chk_fail@@GLIBC_2.4

Comment 4 Fedora Update System 2021-06-07 03:03:54 UTC
FEDORA-2021-517ac7dcdc has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-517ac7dcdc

Comment 5 Fedora Update System 2021-06-07 03:04:42 UTC
FEDORA-2021-517ac7dcdc has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.